Skip to main content
General

Create document from PDF

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/create-from-pdf

Creates a new document from a previously uploaded PDF file.

This endpoint requires a two-step upload process:

  1. Generate upload URL: Call the Create document PDF upload URL endpoint to get a presigned upload URL
  2. Upload PDF: Make a POST request to the returned URL with the specified form fields, followed by the PDF file contents in a file field
  3. Create document: Call this endpoint with file_upload_uuid set to the uuid received in step 1

The PDF will be processed and converted into a fynk document with extractable content and signature fields.

For a complete guide with examples, see How to create a document from a PDF file.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_party_uuidstring

UUID of the party from Settings > My Parties involved in the document

ai_analysis_auto_applyboolean

If true, AI analysis results will be automatically applied to the document. If false (the default), AI analysis results must be manually applied

file_namestringrequired

The name of the PDF file

Maximum string length: 255
Example: NDA_BigCorp.pdf
file_upload_uuidstringrequired

The UUID received in the Create document PDF upload URL response

Example: ab2665c1-9a7c-4230-a431-21682eb302aa
initial_stagestringrequired

The new document will be created in this stage. One of: draft, done

Example: draft
namestring

The new document's name. If omitted, the pdf_file_name will be used as the new document's name

Maximum string length: 255
Example: Kundenvertrag Muster GmbH
owner_emailsstring[]

Email addresses of the user(s) from your account who should be given ownership of the new document

tag_uuidsstring[]

UUIDs of any tags to add to the document

team_uuidsstring[]

UUIDs of any teams that should have access to the document

template_uuidstring | null

Copy document settings from the template with this UUID. Checkpoints, document type, metadata, parties, tags, teams, etc. will all be copied.

Example: 4df1e60a-0114-4dce-89e7-8c5ad397fcf2

Response

application/json

DocumentDetailResource

dataobjectrequired